## org.eclipse.datatools.modelbase.sql.query.impl
Class CursorReferenceImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.CursorReferenceImpl

All Implemented Interfaces:
  CursorReference, SQLQueryObject, SQLObject

    public class CursorReferenceImpl

extends SQLQueryObjectImpl
implements CursorReference

An implementation of the model object 'SQL Cursor Reference'.

The following features are implemented:

- `Update Statement`
- `Delete Statement`

Method Summary
`NotificationChain` `basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement, NotificationChain msgs)`
`NotificationChain` `basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryDeleteStatement` `getDeleteStatement()`
`QueryUpdateStatement` `getUpdateStatement()`
`void` `setDeleteStatement(QueryDeleteStatement newDeleteStatement)`
`void` `setUpdateStatement(QueryUpdateStatement newUpdateStatement)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateStatement

    public QueryUpdateStatement getUpdateStatement()

  Specified by:
    `getUpdateStatement` in interface `CursorReference`
  Returns:
    the value of the 'Update Statement' container reference.
  See Also:
    `CursorReference.setUpdateStatement(QueryUpdateStatement)`, `SQLQueryModelPackage.getCursorReference_UpdateStatement()`, `QueryUpdateStatement.getWhereCurrentOfClause()`

### basicSetUpdateStatement

    public NotificationChain basicSetUpdateStatement(QueryUpdateStatement newUpdateStatement,
                                                     NotificationChain msgs)

### setUpdateStatement

    public void setUpdateStatement(QueryUpdateStatement newUpdateStatement)

  Specified by:
    `setUpdateStatement` in interface `CursorReference`
  Parameters:
    `newUpdateStatement` - the new value of the 'Update Statement' container reference.
  See Also:
    `CursorReference.getUpdateStatement()`

### getDeleteStatement

    public QueryDeleteStatement getDeleteStatement()

  Specified by:
    `getDeleteStatement` in interface `CursorReference`
  Returns:
    the value of the 'Delete Statement' container reference.
  See Also:
    `CursorReference.setDeleteStatement(QueryDeleteStatement)`, `SQLQueryModelPackage.getCursorReference_DeleteStatement()`, `QueryDeleteStatement.getWhereCurrentOfClause()`

### basicSetDeleteStatement

    public NotificationChain basicSetDeleteStatement(QueryDeleteStatement newDeleteStatement,
                                                     NotificationChain msgs)

### setDeleteStatement

    public void setDeleteStatement(QueryDeleteStatement newDeleteStatement)

  Specified by:
    `setDeleteStatement` in interface `CursorReference`
  Parameters:
    `newDeleteStatement` - the new value of the 'Delete Statement' container reference.
  See Also:
    `CursorReference.getDeleteStatement()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.